execute unless predicate pack:changed_challenge run playsound block.note_block.iron_xylophone master @s ~ ~ ~ 1 1.2

# Menu settings
execute if predicate pack:cz run tellraw @s [{"text":"\n\n\n\n\n\n\n"},{"text":"  Nastavení","color":"light_purple","bold": true}]
execute if predicate pack:en run tellraw @s [{"text":"\n\n\n\n\n\n\n"},{"text":"  Settings","color":"light_purple","bold": true}]


# Activate / Deactivate challenge
# IF OFF GO ON
# OF ON GO OFF

    # Sound of challenge change
    execute if predicate pack:challenge_off run playsound block.note_block.banjo master @s ~ ~ ~ 1 1
    execute if predicate pack:challenge_on run playsound block.note_block.banjo master @s ~ ~ ~ 1 0.5

execute if score @s toggle_xphealth matches 1 run scoreboard players set .xphealth challenge_settings 2
execute if score @s toggle_xphealth matches 2 run scoreboard players set .xphealth challenge_settings 1
execute if score @s toggle_hide_in_dark matches 1 run scoreboard players set .hide_in_dark challenge_settings 2
execute if score @s toggle_hide_in_dark matches 2 run scoreboard players set .hide_in_dark challenge_settings 1
execute if score @s toggle_no_block_drops matches 1 run scoreboard players set .no_block_drops challenge_settings 2
execute if score @s toggle_no_block_drops matches 2 run scoreboard players set .no_block_drops challenge_settings 1
execute if score @s toggle_no_armor matches 1 run scoreboard players set .no_armor challenge_settings 2
execute if score @s toggle_no_armor matches 2 run scoreboard players set .no_armor challenge_settings 1
execute if score @s toggle_no_sounds matches 1 run scoreboard players set .no_sounds challenge_settings 2
execute if score @s toggle_no_sounds matches 2 run scoreboard players set .no_sounds challenge_settings 1
execute if score @s toggle_random_mob_sounds matches 1 run scoreboard players set .random_mob_sounds challenge_settings 2
execute if score @s toggle_random_mob_sounds matches 2 run scoreboard players set .random_mob_sounds challenge_settings 1
execute if score @s toggle_random_knockback matches 1 run scoreboard players set .random_knockback challenge_settings 2
execute if score @s toggle_random_knockback matches 2 run scoreboard players set .random_knockback challenge_settings 1
execute if score @s toggle_no_jump matches 1 run scoreboard players set .no_jump challenge_settings 2
execute if score @s toggle_no_jump matches 2 run scoreboard players set .no_jump challenge_settings 1
execute if score @s toggle_random_projectiles matches 1 run scoreboard players set .random_projectiles challenge_settings 2
execute if score @s toggle_random_projectiles matches 2 run scoreboard players set .random_projectiles challenge_settings 1

# PAGES
execute if predicate pack:menu_page_1 run function pack:challenges/menu_pages/page_1
execute if predicate pack:menu_page_2 run function pack:challenges/menu_pages/page_2
execute if predicate pack:menu_page_3 run function pack:challenges/menu_pages/page_3


# Reset challenges
execute if predicate pack:menu_page_1 if predicate pack:cz run tellraw @s [{"text":"\n  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Zpět do hlavní nabídky"}},{"text":"ZPĚT","color":"gold","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Zpět do hlavní nabídky"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Zpět do hlavní nabídky"}},{"text":"  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger reset_challenges set 1"},"hoverEvent":{"action":"show_text","contents":"Vypne všechny challenge"}},{"text":"RESET","color":"red","clickEvent":{"action":"run_command","value":"/trigger reset_challenges set 1"},"hoverEvent":{"action":"show_text","contents":"Vypne všechny challenge"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger reset_challenges set 1"},"hoverEvent":{"action":"show_text","contents":"Vypne všechny challenge"}},{"text":"  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_menu set 1"},"hoverEvent":{"action":"show_text","contents":"Otevře menu pro náhodný teleport"}},{"text":"RTP MENU","color":"blue","clickEvent":{"action":"run_command","value":"/trigger rtp_menu set 1"},"hoverEvent":{"action":"show_text","contents":"Otevře menu pro náhodný teleport"}},{"text":"]\n","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_menu set 1"},"hoverEvent":{"action":"show_text","contents":"Otevře menu pro náhodný teleport"}}]
execute if predicate pack:cz run tellraw @s [{"text":"  Rychlost hry","bold":true,"color":"green"},{"text":" (nejde resetovat tlačítkem ","italic":true,"bold": false,"color":"white"},{"text":"RESET","italic":true,"color":"red"},{"text":")","italic":true,"bold": false,"color":"white"},{"text":"\n   "},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 10"},"hoverEvent":{"action":"show_text","contents":"Zpomalení o 50%"}},{"text":"0.5x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 10"},"hoverEvent":{"action":"show_text","contents":"Zpomalení o 50%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 10"},"hoverEvent":{"action":"show_text","contents":"Zpomalení o 50%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 15"},"hoverEvent":{"action":"show_text","contents":"Zpomalení o 25%"}},{"text":"0.75x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 15"},"hoverEvent":{"action":"show_text","contents":"Zpomalení o 25%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 15"},"hoverEvent":{"action":"show_text","contents":"Zpomalení o 25%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 20"},"hoverEvent":{"action":"show_text","contents":"Normální rychlost"}},{"text":"1x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 20"},"hoverEvent":{"action":"show_text","contents":"Normální rychlost"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 20"},"hoverEvent":{"action":"show_text","contents":"Normální rychlost"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 30"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 50%"}},{"text":"1.5x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 30"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 50%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 30"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 50%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 40"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 100%"}},{"text":"2x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 40"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 100%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 40"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 100%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 60"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 200%"}},{"text":"3x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 60"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 200%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 60"},"hoverEvent":{"action":"show_text","contents":"Zrychlení o 200%"}},{"text":"\n "}]

execute if predicate pack:menu_page_1 if predicate pack:en run tellraw @s [{"text":"\n  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Back to the main menu"}},{"text":"BACK","color":"gold","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Back to the main menu"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Back to the main menu"}},{"text":"  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger reset_challenges set 1"},"hoverEvent":{"action":"show_text","contents":"Turn off all challenges"}},{"text":"RESET","color":"red","clickEvent":{"action":"run_command","value":"/trigger reset_challenges set 1"},"hoverEvent":{"action":"show_text","contents":"Turn off all challenges"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger reset_challenges set 1"},"hoverEvent":{"action":"show_text","contents":"Turn off all challenges"}},{"text":"  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_menu set 1"},"hoverEvent":{"action":"show_text","contents":"Opens a random teleport menu"}},{"text":"RTP MENU","color":"blue","clickEvent":{"action":"run_command","value":"/trigger rtp_menu set 1"},"hoverEvent":{"action":"show_text","contents":"Opens a random teleport menu"}},{"text":"]\n","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_menu set 1"},"hoverEvent":{"action":"show_text","contents":"Opens a random teleport menu"}}]
execute if predicate pack:en run tellraw @s [{"text":"  Game speed","bold":true,"color":"green"},{"text":" (cannot be reset with the button ","italic":true,"bold": false,"color":"white"},{"text":"RESET","italic":true,"color":"red"},{"text":")","italic":true,"bold": false,"color":"white"},{"text":"\n   "},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 10"},"hoverEvent":{"action":"show_text","contents":"Slow down by 50%"}},{"text":"0.5x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 10"},"hoverEvent":{"action":"show_text","contents":"Slow down by 50%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 10"},"hoverEvent":{"action":"show_text","contents":"Slow down by 50%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 15"},"hoverEvent":{"action":"show_text","contents":"Slow down by 25%"}},{"text":"0.75x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 15"},"hoverEvent":{"action":"show_text","contents":"Slow down by 25%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 15"},"hoverEvent":{"action":"show_text","contents":"Slow down by 25%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 20"},"hoverEvent":{"action":"show_text","contents":"Normal speed"}},{"text":"1x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 20"},"hoverEvent":{"action":"show_text","contents":"Normal speed"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 20"},"hoverEvent":{"action":"show_text","contents":"Normal speed"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 30"},"hoverEvent":{"action":"show_text","contents":"Speed up by 50%"}},{"text":"1.5x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 30"},"hoverEvent":{"action":"show_text","contents":"Speed up by 50%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 30"},"hoverEvent":{"action":"show_text","contents":"Speed up by 50%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 40"},"hoverEvent":{"action":"show_text","contents":"Speed up by 100%"}},{"text":"2x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 40"},"hoverEvent":{"action":"show_text","contents":"Speed up by 100%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 40"},"hoverEvent":{"action":"show_text","contents":"Speed up by 100%"}},{"text":" -","color":"gold"},{"text":" ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 60"},"hoverEvent":{"action":"show_text","contents":"Speed up by 200%"}},{"text":"3x","color":"light_purple","clickEvent":{"action":"run_command","value":"/tick rate 60"},"hoverEvent":{"action":"show_text","contents":"Speed up by 200%"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/tick rate 60"},"hoverEvent":{"action":"show_text","contents":"Speed up by 200%"}},{"text":"\n "}]

# Store last page
scoreboard players operation @s page = @s challenge_settings

# Challegne switch
execute if score @s toggle_xphealth matches 1..2 run function pack:challenges/xphealth/setup
execute if score @s toggle_hide_in_dark matches 1..2 run function pack:challenges/hide_in_dark/setup
execute if score @s toggle_no_block_drops matches 1..2 run function pack:challenges/no_block_drops/setup
execute if score @s toggle_random_mob_sounds matches 1..2 run function pack:challenges/random_mob_sounds/setup

function pack:challenges/reset/menu