
gamerule sendCommandFeedback false

# Surface for RTP
forceload add -2 -2 1 1
execute positioned 0 319 0 positioned over world_surface positioned ~ ~-1 ~ if block ~ ~ ~ water run fill ~-32 ~ ~-32 ~31 ~ ~31 light[waterlogged=true,level=0] replace water
forceload remove -2 -2 1 1


# Scoreboard tabulky
scoreboard objectives add math dummy
scoreboard objectives add page dummy
scoreboard objectives add max_health dummy
scoreboard objectives add random dummy
scoreboard objectives add health health
scoreboard objectives add damage_taken custom:damage_taken
scoreboard objectives add xp_level dummy
scoreboard objectives add challenge_settings trigger
scoreboard objectives add delete_pack trigger
scoreboard objectives add pack_info trigger
scoreboard objectives add language_menu trigger
scoreboard objectives add rtp_all trigger
scoreboard objectives add rtp_self trigger
scoreboard objectives add rtp_menu trigger
scoreboard objectives add rtp_reset trigger
scoreboard objectives add rtp_player_distance trigger
scoreboard objectives add rtp_max_distance trigger
scoreboard objectives add reset_challenges trigger

# Úvodní text | menu
# 0 - CZ
# 1 - EN

execute unless score .language challenge_settings = .language challenge_settings run scoreboard players set .language challenge_settings 2

execute if predicate pack:cz run tellraw @a [{"text":"\n"},{"text":"  Challenge Pack 1.1.0\n  ","color":"gold"},{"text":"by LibcaJr\n\n  ","color":"light_purple"},{"text":"[","color":"aqua"},{"text":"MENU","color":"green","clickEvent":{"action":"run_command","value":"/trigger challenge_settings set 1"},"hoverEvent":{"action":"show_text","contents":"Seznam challengí"}},{"text":"] [","color":"aqua"},{"text":"JAZYK","color":"blue","clickEvent":{"action":"run_command","value":"/trigger language_menu set -1"},"hoverEvent":{"action":"show_text","contents":"Nastavení jazyka datapacku"}},{"text":"] [","color":"aqua"},{"text":"ODSTRANIT","color":"red","clickEvent":{"action":"run_command","value":"/trigger delete_pack set 1"},"hoverEvent":{"action":"show_text","contents":"Odstraní funkce vytvořené datapackem"}},{"text":"]","color":"aqua"},{"text":"\n "}]
execute if predicate pack:en run tellraw @a [{"text":"\n"},{"text":"  Challenge Pack 1.1.0\n  ","color":"gold"},{"text":"by LibcaJr\n\n  ","color":"light_purple"},{"text":"[","color":"aqua"},{"text":"MENU","color":"green","clickEvent":{"action":"run_command","value":"/trigger challenge_settings set 1"},"hoverEvent":{"action":"show_text","contents":"List of challenges"}},{"text":"] [","color":"aqua"},{"text":"LANGUAGE","color":"blue","clickEvent":{"action":"run_command","value":"/trigger language_menu set -1"},"hoverEvent":{"action":"show_text","contents":"Datapack language settings"}},{"text":"] [","color":"aqua"},{"text":"DELETE","color":"red","clickEvent":{"action":"run_command","value":"/trigger delete_pack set 1"},"hoverEvent":{"action":"show_text","contents":"Removes features created by the datapack"}},{"text":"]","color":"aqua"},{"text":"\n "}]

# Constants
scoreboard objectives add constants dummy
scoreboard players set 10 constants 10

# Toggle challenge
scoreboard objectives add toggle_xphealth trigger
scoreboard objectives add toggle_hide_in_dark trigger
scoreboard objectives add toggle_no_block_drops trigger
scoreboard objectives add toggle_no_armor trigger
scoreboard objectives add toggle_no_sounds trigger
scoreboard objectives add toggle_random_mob_sounds trigger
scoreboard objectives add toggle_random_knockback trigger
scoreboard objectives add toggle_no_jump trigger
scoreboard objectives add toggle_random_projectiles trigger

# Enable triggers
scoreboard players enable @a pack_info
scoreboard players enable @a delete_pack
scoreboard players enable @a challenge_settings
scoreboard players enable @a language_menu

# Reload activeted challanges
execute if score .xphealth challenge_settings matches 2 run function pack:challenges/xphealth/setup
execute if score .hide_in_dark challenge_settings matches 2 run function pack:challenges/hide_in_dark/setup
execute if score .no_block_drops challenge_settings matches 2 run function pack:challenges/no_block_drops/setup
execute if score .random_mob_sounds challenge_settings matches 2 run function pack:challenges/random_mob_sounds/setup with storage challenge:random_mob_sounds


# First use pack | Challenges to OFF | 1 = disable   2 = enable
execute unless score .player_distance rtp_player_distance = .player_distance rtp_player_distance run scoreboard players set .player_distance rtp_player_distance 200
execute unless score .max_distance rtp_max_distance = .max_distance rtp_max_distance run scoreboard players set .max_distance rtp_max_distance 22000
execute unless score .xphealth challenge_settings = .xphealth challenge_settings run scoreboard players set .xphealth challenge_settings 1
execute unless score .hide_in_dark challenge_settings = .hide_in_dark challenge_settings run scoreboard players set .hide_in_dark challenge_settings 1
execute unless score .no_block_drops challenge_settings = .no_block_drops challenge_settings run scoreboard players set .no_block_drops challenge_settings 1
execute unless score .no_armor challenge_settings = .no_armor challenge_settings run scoreboard players set .no_armor challenge_settings 1
execute unless score .no_sounds challenge_settings = .no_sounds challenge_settings run scoreboard players set .no_sounds challenge_settings 1
execute unless score .random_mob_sounds challenge_settings = .random_mob_sounds challenge_settings run scoreboard players set .random_mob_sounds challenge_settings 1
execute unless score .random_knockback challenge_settings = .random_knockback challenge_settings run scoreboard players set .random_knockback challenge_settings 1
execute unless score .no_jump challenge_settings = .no_jump challenge_settings run scoreboard players set .no_jump challenge_settings 1
execute unless score .random_projectiles challenge_settings = .random_projectiles challenge_settings run scoreboard players set .random_projectiles challenge_settings 1

# Data preload
data merge storage challenge:menu {page: 1b}
execute store result storage challenge:random_mob_sounds x byte 1 run random value -5..5
execute store result storage challenge:random_mob_sounds y byte 1 run random value -3..3
execute store result storage challenge:random_mob_sounds z byte 1 run random value -5..5
execute store result storage challenge:rtp distance.player int 1 run scoreboard players get .player_distance rtp_player_distance
execute store result storage challenge:rtp distance.max int 1 run scoreboard players get .max_distance rtp_max_distance